%define upstream_name    Exporter-Tidy
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Another way of exporting symbols
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Exporter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module serves as an easy, clean alternative to Exporter. Unlike
Exporter, it is not subclassed, but it simply exports a custom import()
into your namespace.

With Exporter::Tidy, you don't need to use any package global in your
module. Even the subs you export can be lexically scoped.

use Exporter::Tidy LIST
    The list supplied to 'use Exporter::Tidy' should be a key-value list.
    Each key serves as a tag, used to group exportable symbols. The values
    in this key-value list should be array references. There are a few
    special tags:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1027112
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 966254
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 843153
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 750093
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 684670
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 511391
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 367005
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 169481
- imported package perl-Exporter-Tidy


* Sat Nov 19 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
